gnutls_ia_enable(3)

NAME
gnutls_ia_enable - Indicate willingness for TLS/IA application phases

SYNOPSIS
#include <gnutls/extra.h>

void gnutls_ia_enable(gnutls_session_t session, int allow_skip_on_resume);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int allow_skip_on_resume
    non-zero if local party allows to skip the TLS/IA application phases for a resumed session.

DESCRIPTION
Specify whether we must advertise support for the TLS/IA extension during the handshake. At the client side, we always advertise TLS/IA if gnutls_ia_enable was called before the handshake; at the server side, we also require that the client has advertised that it wants to run TLS/IA before including the advertisement, as required by the protocol. Similarly, at the client side we always advertise that we allow TLS/IA to be skipped for resumed sessions if allow_skip_on_resume is non-zero; at the server side, we also require that the session is indeed resumable and that the client has also advertised that it allows TLS/IA to be skipped for resumed sessions. After the TLS handshake, call gnutls_ia_handshake_p() to find out whether both parties agreed to do a TLS/IA handshake, before calling gnutls_ia_handshake() or one of the lower level gnutls_ia_* functions.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.